# modules/sid/sid.h File Reference

## Data Structures
union | sid_voice_t
union | sid_regs_t
## Defines
#define | SID_NUM 2
#define | SID_REGS_NUM 32
#define | SID_SCLK_PORT GPIOB
#define | SID_SCLK_PIN GPIO_Pin_6
#define | SID_RCLK_PORT GPIOC
#define | SID_RCLK_PIN GPIO_Pin_13
#define | SID_SER_PORT GPIOB
#define | SID_SER_PIN GPIO_Pin_5
#define | SID_CLK_PORT GPIOB
#define | SID_CLK_PIN GPIO_Pin_7
#define | SID_CSN0_PORT GPIOC
#define | SID_CSN0_PIN GPIO_Pin_14
#define | SID_CSN1_PORT GPIOC
#define | SID_CSN1_PIN GPIO_Pin_0
#define | SID_CSN2_PORT GPIOC
#define | SID_CSN2_PIN GPIO_Pin_1
#define | SID_CSN3_PORT GPIOC
#define | SID_CSN3_PIN GPIO_Pin_2
#define | SID_CSN4_PORT GPIOC
#define | SID_CSN4_PIN GPIO_Pin_3
#define | SID_CSN5_PORT GPIOA
#define | SID_CSN5_PIN GPIO_Pin_0
#define | SID_CSN6_PORT GPIOA
#define | SID_CSN6_PIN GPIO_Pin_1
#define | SID_CSN7_PORT GPIOA
#define | SID_CSN7_PIN GPIO_Pin_2
#define | SID_USE_MBNET 0
## Functions
s32 | SID_Init (u32 mode)
s32 | SID_AvailableSet (u8 available)
u8 | SID_AvailableGet (void)
s32 | SID_Update (u32 mode)
s32 | SID_PrintStatistics (void)
## Variables
sid_regs_t | sid_regs [SID_NUM]

## Define Documentation

#define SID_CLK_PIN GPIO_Pin_7

#define SID_CLK_PORT GPIOB

#define SID_CSN0_PIN GPIO_Pin_14

#define SID_CSN0_PORT GPIOC

#define SID_CSN1_PIN GPIO_Pin_0

#define SID_CSN1_PORT GPIOC

#define SID_CSN2_PIN GPIO_Pin_1

#define SID_CSN2_PORT GPIOC

#define SID_CSN3_PIN GPIO_Pin_2

#define SID_CSN3_PORT GPIOC

#define SID_CSN4_PIN GPIO_Pin_3

#define SID_CSN4_PORT GPIOC

#define SID_CSN5_PIN GPIO_Pin_0

#define SID_CSN5_PORT GPIOA

#define SID_CSN6_PIN GPIO_Pin_1

#define SID_CSN6_PORT GPIOA

#define SID_CSN7_PIN GPIO_Pin_2

#define SID_CSN7_PORT GPIOA

#define SID_NUM 2

#define SID_RCLK_PIN GPIO_Pin_13

#define SID_RCLK_PORT GPIOC

#define SID_REGS_NUM 32

#define SID_SCLK_PIN GPIO_Pin_6

#define SID_SCLK_PORT GPIOB

#define SID_SER_PIN GPIO_Pin_5

#define SID_SER_PORT GPIOB

#define SID_USE_MBNET 0

## Function Documentation

u8 SID_AvailableGet | ( | void |  | ) |

s32 SID_AvailableSet | ( | u8 | available | ) |

Here is the call graph for this function:

s32 SID_Init | ( | u32 | mode | ) |

Here is the call graph for this function:

s32 SID_PrintStatistics | ( | void |  | ) |

Here is the call graph for this function:

s32 SID_Update | ( | u32 | mode | ) |

## Variable Documentation

sid_regs_t sid_regs[SID_NUM]